import { jsx } from "react/jsx-runtime";
import { Metronome as Metronome$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Metronome = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Metronome", ...props, children: /* @__PURE__ */ jsx(Metronome$1, { weight: variant }) });
  }
);
Metronome.displayName = "Metronome";
Object.assign(Metronome, { isGdsIcon: true });
export {
  Metronome
};
